package com.zcloud.service.sms;

import com.aliyuncs.dysmsapi.model.v20170525.SendSmsResponse;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：短信记录
 * 作者：luoxiaobao
 * 时间：2021-02-26
 * 官网：www.zcloudchina.com
 */
public interface SMSLogService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**本公司已发送短信数
	 * @param pd
	 * @throws Exception
	 */
	public int msUsedCount(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public void addForAliSmsUtil(Map<String ,Object> sendmap , String corpInfoId , SendSmsResponse ssms ) throws Exception;

	public void addForAliSmsLimitUtil(Map<String ,Object> sendmap , String corpInfoId , SendSmsResponse ssms ) throws Exception;

	public void addForAliSmsToolUtil(Map<String ,Object> sendmap , String corpInfoId , SendSmsResponse ssms, List<PageData> paramsList) throws Exception;
}

